Page MenuHomePhabricator

Investigate improvements for item suggester in property values
Closed, ResolvedPublic

Description

Background:
Elastic searched improved allowing filtering for statements now.
E.g. haswbstatement:P279=Q21502402
https://www.wikidata.org/w/index.php?search=haswbstatement%3AP279%3DQ21502402
API:
https://www.wikidata.org/w/api.php?action=query&list=search&srsearch=haswbstatement%3AP279%3DQ21502402

Constraints definitions on properties like 'one-of constraint' and 'type' provide suggestions
e.g. https://www.wikidata.org/wiki/Property:P21#P2302

We would like to investigate how current item suggester for property values could be improved by using that new elastic feature and constraint definitions on properties.

As a user I would like to see those items suggested first that that don't violate the constraint checks, so I can easily chose the right item.

GIVEN I am on a property page.
WHEN I add a property 'property constraint' (P2302)
AND I focus the input field and enter 'single'
THEN I would like to see items with 'subclass of' 'property constraints' suggested and text 'single' first

GIVEN I am on a property page.
WHEN I add a property 'property constraint' (P2302)
AND I focus the input field for the property value
THEN I would like to see items with 'subclass of' 'property constraints' suggested

Relevant JS files:
repo/resources/experts/Entity.js
view/resources/jquery/wikibase/jquery.wikibase.entityselector.js

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : master[DNM] Advanced suggestions prototype

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2018, 4:21 PM
Jonas triaged this task as Normal priority.Jun 27 2018, 9:36 AM
Jonas moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.
Jonas updated the task description. (Show Details)Jun 29 2018, 10:29 AM
Jonas updated the task description. (Show Details)Jun 29 2018, 2:33 PM
Jonas added a subscriber: Matthias_Geisler_WMDE.
Jonas moved this task from Ready to estimate to In Progress on the Wikidata-Campsite board.

Change 443603 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[mediawiki/extensions/Wikibase@master] [DNM] Advanced suggestions prototype

https://gerrit.wikimedia.org/r/443603

Jonas closed this task as Resolved.Jul 16 2018, 10:44 AM